cancel
Showing results for 
Search instead for 
Did you mean: 

CRAN R datarobot package

Bruce
Micro Servo

CRAN R datarobot package

I went to download 

 

https://cran.r-project.org/web/packages/datarobot/index.html

 

yesterday and found the following page listed below. This is discouraging. What is the situation with this? How should I interact with DataRobot from an R script?

I would also like to complain that when I copied the link into this post, the editor removed the link for being invalid HTML and refused to post it. And then when I modified the link to not be recognized for this treatment it rejected my post because it felt it was "posting the same thing within an hour". Neither of these behaviours are helpful.

----------

 

Package ‘datarobot’ was removed from the CRAN repository.

Formerly available versions can be obtained from the archive.

Archived on 2022-05-01 as check issues were not corrected in time.

A summary of the most recent check results can be obtained from the check results archive.

Please use the canonical form https://CRAN.R-project.org/package=datarobot to link to this page.

 

 

Labels (1)
0 Kudos
6 Replies
IraWatt
Laser

Hey @Bruce,

I was having a look at this myself, the R section of Get started with the API recommends just installing DataRobot package through Rtools with:  

install.packages("datarobot")

However I ran into an issue with the latest version of R 4.20

IraWatt_1-1651655529447.png

Not sure if this is related? The R docs suggest that R 4.20 should be alright.

IraWatt_2-1651655587884.png

 

 

Linda
Community Manager
Community Manager

@Bruce - did @IraWatt 's answer work for you? Please let us know if there's something more we need to know about so other members can download the Cran R DR package.

0 Kudos

@IraWatt Thanks for the response.

Yes, to 

install.packages("datarobot")

you have to have a copy of datarobot to install. And the cran site

https://cran.r-project.org/web/packages/datarobot/index.html

says that the datarobot package has been archived as of a few days ago because it did not satisfy their requirements for a valid package. 

So, where should one get this package?

 

I don't believe that the version of R is important here, as the problem is with the non existence of the cran datarobot package, and not compatibility with it.

 

 

0 Kudos

@Linda 

The post by @IraWatt did not solve the problem at all. The issue is that cran has indicated that the datarobot package is now archived because it is not being maintained. One can download the archived package. But, this disturbs me. Is that what datarobot (corp) is suggesting - to use a package that is no longer maintained? 

I am looking for ruling on this, or a link to a package that is maintained.

0 Kudos

Sorry, I'm no expert on R packages but it does look like its being maintained, since this post was made the package has been updated on 2022-05-06 from V 2.18.1 to V 2.18.2. Noticeably V 2.18.2 solved my earlier issue with R 4.2.

V 2.18.2 also seems to have solved a lot of issues from V 2.18.1 looking at the package checks: 

CRAN Package Check Results for Package datarobot (rstudio.com)

Perhaps that 2.18.1 was archived because of all its issues @Bruce ?

0 Kudos

The exact same link got an archived statement at the time that I posted, I copied that statement on the original post - this was the only reason that I posted, of course.

 

It looks like someone fixed the problem in the last few days.

0 Kudos